Package org.globus.myproxy

# Class MyProxyCLI

java.lang.Object
org.globus.myproxy.MyProxyCLI

public class MyProxyCLI extends Object
MyProxy Command Line Client

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CRED_LIFETIME_HOURS`
`static final int`
`MATCH_CN_ONLY`
`static final int`
`MYPROXY_SERVER_PORT`
`static final int`
`PORTAL_LIFETIME_HOURS`
`static final int`
`REGULAR_EXP`

## Constructor Summary

Constructors
Constructor
Description
`MyProxyCLI()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doChangePassword(String[] args, int start)`
`protected void`
`doDestroy(String[] args, int start)`
`protected void`
`doGet(String[] args, int start, boolean anonymous)`
`protected void`
`doGetTrustroots(String[] args, int start, boolean anonymous)`
`protected void`
`doInfo(String[] args, int start)`
`protected void`
`doPut(String[] args, int start)`
`protected void`
`doPutOrStore(String[] args, int start, boolean storeKey)`
`protected void`
`doStore(String[] args, int start)`
`static void`
`main(String[] args)`
`protected void`
`parseCmdLine(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MYPROXY_SERVER_PORT

public static final int MYPROXY_SERVER_PORT

See Also:
  - Constant Field Values

### PORTAL_LIFETIME_HOURS

public static final int PORTAL_LIFETIME_HOURS

See Also:
  - Constant Field Values

### CRED_LIFETIME_HOURS

public static final int CRED_LIFETIME_HOURS

See Also:
  - Constant Field Values

### MATCH_CN_ONLY

public static final int MATCH_CN_ONLY

See Also:
  - Constant Field Values

### REGULAR_EXP

public static final int REGULAR_EXP

See Also:
  - Constant Field Values

## Constructor Details

### MyProxyCLI

public MyProxyCLI()

## Method Details

### parseCmdLine

protected void parseCmdLine(String[] args)

### doInfo

protected void doInfo(String[] args, int start)

### doDestroy

protected void doDestroy(String[] args, int start)

### doChangePassword

protected void doChangePassword(String[] args, int start)

### doGet

protected void doGet(String[] args, int start, boolean anonymous)

### doPut

protected void doPut(String[] args, int start)

### doStore

protected void doStore(String[] args, int start)

### doPutOrStore

protected void doPutOrStore(String[] args, int start, boolean storeKey)

### doGetTrustroots

protected void doGetTrustroots(String[] args, int start, boolean anonymous)

### main

public static void main(String[] args)